﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Anritsu MS2661N: (1 yr) VER IEEE /9640A,LFCTR
DATE:                  2017-02-10 06:42:50
AUTHOR:                Fluke
REVISION:              $Revision: 18249 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       189
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         LF Counter
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Source:
#        Anritsu MS2661N Spectrum Analyzer Operation Manual Vol. 1
#         (Basic Operating Instructions), Document No. M-W1813AE-5.0,
#         Fifth Edition, 1 Sep 2006
#
#  Additional Equipment Required:
#        Filter, Low-Pass, 50 Ohm, >= 70 dB attenuation at center frequency
#         of 2 GHz, Anritsu Model M-238C or equivalent
#        Cable, coaxial, 36", 50 Ohms, BNC (m)-(m), RG-58/U
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           0
  1.003  9640         Reset
  1.004  IEEE         [@LFCTR]
  1.005  ENDIF

  1.006  CALL         Sub Display Copyright
  1.007  MATH         @ReqMetCalVersion = "7.20d"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20d or later.
  1.011  END
  1.012  ENDIF

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.013  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.014  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.015  DISP         The file parameter setting is: "acc_check=no"
  1.015  DISP
  1.015  DISP         For correct procedure execution, this parameter
  1.015  DISP         MUST be set to: "acc_check=yes"
  1.015  DISP
  1.015  DISP         Select "Advance" to terminate the procedure, exit
  1.015  DISP         MET/CAL®, change the initialization file parameter,
  1.015  DISP         restart MET/CAL, then restart the procedure.
  1.016  END
  1.017  ENDIF

  1.018  HEAD         ACCURACY FILE REQUIREMENTS
  1.019  DISP         Confirm revision level of the following accuracy files:
  1.019  DISP
  1.019  DISP         - "9640.acc" revision 1.2 or later
  1.019  DISP
  1.019  DISP         Visit the website at: http://support.fluke.com
  1.019  DISP         for the latest accuracy file(s), if necessary.

# Initial hook-up information.
  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  DISP         Prior to beginning verification, the UUT must have
  1.021  DISP         acclimated to the of ambient conditions of the test
  1.021  DISP         environment for at least two hours.
  1.021  DISP
  1.021  DISP         Additionally, a warm-up time of 30 minutes (minimum)
  1.021  DISP         must have been allowed to elapse.

  1.022  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.022  DISP         operation. If this workstation is equipped with
  1.022  DISP         two GPIB cards, the address is unimportant, as
  1.022  DISP         long as it is not (0) zero. If only 1 GPIB card
  1.022  DISP         is installed, however, the UUT address must not
  1.022  DISP         conflict with those of configured references.

  1.023  SCPI         *RST
# Set Post-Test reset condition for UUT.
  1.024  RESET        *CLS[GTL]
  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE

# Make sure correct UUT is connected.
  1.026  IF           NOT(ZCMPI(@ModelNum, "MS2661N"))
  1.027  HEAD         INCORRECT UUT/PROCEDURE SELECTION!
  1.028  DISP         The UUT and the selected procedure do not match!
  1.028  DISP
  1.028  DISP         The UUT is an [V @Manufacturer] [V @ModelNum] and the
  1.028  DISP         procedure is for an Anritsu MS2661N.
  1.028  DISP
  1.028  DISP         Please select "Advance" to terminate and select
  1.028  DISP         the proper procedure.
  1.029  END
  1.030  ENDIF

  1.031  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.032  CALL         Sub Select Failed Test Mode
  1.033  CALL         Sub Select Verification Method
  1.034  CALL         Sub Connector Precautions (Type N)

  1.035  HEAD         EQUIPMENT REQUIREMENTS
  1.036  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.036  OPBR         additional equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         The indicated minimum use specifications must be
  1.038  DISP         satisfied when configuring the following devices
  1.038  DISP         as flexible standards:
  1.038  DISP
  1.038  DISP         LF Counter (LFCTR):
  1.038  DISP         [32] Frequency Range: 10 MHz
  1.038  DISP         [32]   Accuracy: ±0.025 ppm
  1.038  DISP

  1.039  DISP         Additional equipment/accessories required:
  1.039  DISP
  1.039  DISP         - Filter, Low-Pass, 50 Ohm, >= 70 dB attenuation at
  1.039  DISP         [32] center frequency of 2 GHz, Anritsu Model M-238C
  1.039  DISP         [32] or equivalent
  1.039  DISP         - Cable, coaxial, 36", 50 Ohms, BNC (m)-(m), RG-58
  1.040  ENDIF

# Retrieve UUT display color scheme.
  1.041  IEEE2        COLORPTN?[I$]
# Save for return to original upon procedure completion.
  1.042  MATH         @DispColor = MEM2

  1.043  IF           NOT(ZCMPI(@DispColor, "COLOR3"))
  1.044  IEEE2        COLORPTN COLOR3
  1.045  ENDIF

  1.046  CALL         Sub Anritsu MS266xC (1 yr) Ref Osc Freq VER /LFCTR
  1.047  IEEE2        IP
# CAL ALL.
  1.048  IEEE2        [T240000]CAL 0

  1.049  HEAD         INSTRUMENT CONNECTION
  1.050  DISP         Make the following connections:
  1.050  DISP
  1.050  DISP         [32] Fluke 9640A   to          UUT
  1.050  DISP         [32]  RF OUTPUT -------> RF INPUT 50 Ohms
  1.050  DISP
  1.050  DISP         Note: All connections between the 9640A and
  1.050  DISP         the UUT RF INPUT 50 Ohms are via the 9640A-50
  1.050  DISP         Leveling Head.

  1.051  DISP         Ensure a BNC (m)-(m) cable is connected between the
  1.051  DISP         Fluke 9640A REF FREQUENCY OUT and the UUT 10 MHz
  1.051  DISP         REF IN (rear panel) prior to proceeding.

  1.052  CALL         Sub Anritsu MS2661N (1 yr) Frequency Readout VER /9640
  1.053  CALL         Sub Anritsu MS2661N (1 yr) Frequency Span VER /9640
  1.054  CALL         Sub Anritsu MS2661N (1 yr) RBW Accuracy VER /9640
  1.055  CALL         Sub Anritsu MS2661N (1 yr) Sideband Noise VER /9640
  1.056  CALL         Sub Anritsu MS2661N (1 yr) Frequency Measure VER /9640
  1.057  CALL         Sub Anritsu MS2661N (1 yr) Scale Linearity VER /9640
  1.058  CALL         Sub Anritsu MS2661N (1 yr) Freq Response VER /9640
  1.059  JMPL         INPUT_SWITCHING

  1.060  LABEL        HARMONICS
  1.061  CALL         Sub Anritsu MS2661N (1 yr) Harmonic Dist VER /9640
  1.062  JMPL         END

  1.063  LABEL        INPUT_SWITCHING
  1.064  CALL         Sub Anritsu MS2661N (1 yr) Input Switching VER /9640
  1.065  CALL         Sub Anritsu MS2661N (1 yr) Sweep Time VER /9640
  1.066  JMPL         HARMONICS

  1.067  LABEL        END
  1.068  IEEE2        COLORPTN [V @DispColor]
  1.069  END
