﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Frequency Readout VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Frequency Span VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) RBW Accuracy VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Sideband Noise VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Frequency Measure VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Scale Linearity VER /9640
DATE:                  2007-06-07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       49
NUMBER OF LINES:       909
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2661N
#
#  Compatibility:
#        MET/CAL 7.20d or later
#
#  Subprocedures:
#        Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
#        Sub Anritsu MS266x() Take Sweep (MKPK)
#        Sub Anritsu MS266x() Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         FREQ_READOUT                 PSUBI("Readout")
  1.002  JMPL         FREQ_SPAN                    PSUBI("Span")
  1.003  JMPL         RBW_ACCURACY                 PSUBI("RBW Accuracy")
  1.004  JMPL         NOISE_SIDEBAND               PSUBI("Sideband")
  1.005  JMPL         FREQ_MEASUREMENT             PSUBI("Measure")
  1.006  JMPL         SCALE_FIDELITY               PSUBI("Linearity")
  1.007  DISP         {Called subprocedure not found!}
  1.008  END

# ====== Sub Anritsu MS2661N (1 yr) Freq Readout VER /9640 =================

  1.009  LABEL        FREQ_READOUT

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  1.010  RSLT         =
  1.011  HEAD         {FREQUENCY READOUT ACCURACY}: 500 MHz, 10 kHz Span
# CAL FREQ.
# 1.012  IEEE2        [T240000]CAL 1
  1.012  TARGET       -p
  1.013  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  1.013  9640         +Freq = 500 MHz; Level = -10 dBm
  1.014  IEEE2        IP;SNGLS;CF 500MHZ;RL 0DBM;SP 10MHZ
  1.015  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.016  IEEE2        MKTRACK ON;SP 10KHZ
  1.017  MATH         L[1] = ACCV("Fluke 9640A", "Freq Sine", 500E+6)
  1.018  ACC          500.00000MHz   L1U
  1.019  TARGET       -m
  1.020  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.021  IEEE2        MKF?[I]
  1.022  MATH         MEM = MEM / 1E+6
  1.023  MEMCX        500.00000MHz   0.00054U

  2.001  HEAD         FREQUENCY READOUT ACCURACY: 500 MHz, 200 kHz Span
  2.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  2.002  9640         +Freq = 500 MHz; Level = -10 dBm
  2.003  IEEE2        IP;SNGLS;CF 500MHZ;RL 0DBM;SP 10MHZ
  2.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.005  IEEE2        MKTRACK ON;SP 200KHZ
  2.006  MATH         L[1] = ACCV("Fluke 9640A", "Freq Sine", 500E+6)
  2.007  ACC          500.0000MHz    L1U
  2.008  TARGET       -m
  2.009  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.010  IEEE2        MKF?[I]
  2.011  MATH         MEM = MEM / 1E+6
  2.012  MEMCX        500.0000MHz    0.010475U

  3.001  HEAD         FREQUENCY READOUT ACCURACY: 500 MHz, 100 MHz Span
  3.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  3.002  9640         +Freq = 500 MHz; Level = -10 dBm
  3.003  IEEE2        IP;SNGLS;CF 500MHZ;RL 0DBM;SP 100MHZ
  3.004  MATH         L[1] = ACCV("Fluke 9640A", "Freq Sine", 500E+6)
  3.005  ACC          500.0MHz       L1U
  3.006  TARGET       -m
  3.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.008  IEEE2        MKF?[I]
  3.009  MATH         MEM = MEM / 1E+6
  3.010  MEMCX        500.0MHz       5.06U

  4.001  9640         Reset
  4.002  IEEE2        *RST
  4.003  END

  4.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) Frequency Span VER /9640 ===============

  5.001  LABEL        FREQ_SPAN

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  5.002  RSLT         =
  5.003  HEAD         {FREQUENCY SPAN READOUT ACCURACY}: 2 kHz Span
  5.004  TARGET       -p
  5.005  TSET         TDESC = 2 kHz
# Setup UUT.
  5.006  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  5.007  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.007  9640         +Freq = 1000 MHz; Level = 0 dBm
  5.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  5.009  IEEE2        MKTRACK ON;SP 2KHZ
  5.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Turn Signal Track off.
  5.011  IEEE2        MKTRACK OFF
  5.012  TARGET       -m
  5.013  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.013  9640         +Freq = 999.9992 MHz; Level = 0 dBm
# Store Instrument Name in Model, Mode String in Mode.
  5.014  MATH         Model = "Fluke 9640A"; Mode = "Freq Sine"
# Retrieve confidence from 9640A accuracy file.
  5.015  MATH         Conf = CONF("Fluke 9640A")
# Retrieve 9640A accuracy (assumes standard instrument) at first frequency.
  5.016  MATH         Span1Unc = ACCV(Model, Mode, 999.9992E+6) / Conf
# Take two sweeps, peak search.
  5.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Take first frequency reading.
  5.018  IEEE2        MKF?[I]
# Store reading in Span1.
  5.019  MATH         Span1 = MEM
# Set signal source to output second desired frequency, level.
  5.020  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.020  9640         +Freq = 1000.0008 MHz; Level = 0 dBm
# Retrieve 9640A accuracy (assumes standard instrument) at first frequency.
  5.021  MATH         Span2Unc = ACCV(Model, Mode, 1000.0008E+6) / Conf
# Take two sweeps, peak search.
  5.022  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Take second frequency reading.
  5.023  IEEE2        MKF?[I]
# Compute difference and convert to equivalent 10 division span.
  5.024  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+3
# Combine 9640A uncertainties, expand, divide by 1E+6 for proper decimal.
  5.025  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
  5.026  ACC          2.00kHz        L1U
  5.027  MEMCX        2.00kHz        5%

  6.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 20 kHz Span
  6.002  TSET         TDESC = 20 kHz
  6.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  6.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  6.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.006  IEEE2        MKTRACK ON;SP 20KHZ
  6.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.008  IEEE2        MKTRACK OFF
  6.009  TARGET       -m
  6.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.010  9640         +Freq = 999.992 MHz; Level = 0 dBm
  6.011  MATH         Model = "Fluke 9640A"; Mode = "Freq Sine"
  6.012  MATH         Conf = CONF("Fluke 9640A")
  6.013  MATH         Span1Unc = ACCV(Model, Mode, 999.992E+6) / Conf
  6.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.015  IEEE2        MKF?[I]
  6.016  MATH         Span1 = MEM
  6.017  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.017  9640         +Freq = 1000.008 MHz; Level = 0 dBm
  6.018  MATH         Span2Unc = ACCV(Model, Mode, 1000.008E+6) / Conf
  6.019  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.020  IEEE2        MKF?[I]
  6.021  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+3
  6.022  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
  6.023  ACC          20.00kHz       L1U
  6.024  MEMCX        20.00kHz       5%

  7.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 200 kHz Span
  7.002  TSET         TDESC = 200 kHz
  7.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  7.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  7.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.006  IEEE2        MKTRACK ON;SP 200KHZ
  7.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.008  IEEE2        MKTRACK OFF
  7.009  TARGET       -m
  7.010  9640         +Freq = 999.92 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  7.010  9640         RefFreqOutp = 10 MHz
  7.011  MATH         Span1Unc = ACCV(Model, Mode, 999.92E+6) / Conf
  7.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.013  IEEE2        MKF?[I]
  7.014  MATH         Span1 = MEM
  7.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.015  9640         +Freq = 1000.08 MHz; Level = 0 dBm
  7.016  MATH         Span2Unc = ACCV(Model, Mode, 1000.08E+6) / Conf
  7.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.018  IEEE2        MKF?[I]
  7.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+3
  7.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
  7.021  ACC          200.0kHz       L1U
  7.022  MEMCX        200.0kHz       5%

  8.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 2 MHz Span
  8.002  TSET         TDESC = 2 MHz
  8.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  8.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  8.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.006  IEEE2        MKTRACK ON;SP 2MHZ
  8.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.008  IEEE2        MKTRACK OFF
  8.009  TARGET       -m
  8.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.010  9640         +Freq = 999.2 MHz; Level = 0 dBm
  8.011  MATH         Span1Unc = ACCV(Model, Mode, 999.2E+6) / Conf
  8.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.013  IEEE2        MKF?[I]
  8.014  MATH         Span1 = MEM
  8.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.015  9640         +Freq = 1000.8 MHz; Level = 0 dBm
  8.016  MATH         Span2Unc = ACCV(Model, Mode, 1000.8E+6) / Conf
  8.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.018  IEEE2        MKF?[I]
  8.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+6
  8.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
  8.021  ACC          2.000MHz       L1U
  8.022  MEMCX        2.000MHz       5%

  9.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 10 MHz Span
  9.002  TSET         TDESC = 10 MHz
  9.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  9.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  9.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.006  IEEE2        MKTRACK ON
  9.007  WAIT         [D2000]
  9.008  IEEE2        MKTRACK OFF
  9.009  TARGET       -m
  9.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.010  9640         +Freq = 996 MHz; Level = 0 dBm
  9.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.012  MATH         Span1Unc = ACCV(Model, Mode, 996E+6) / Conf
  9.013  IEEE2        MKF?[I]
  9.014  MATH         Span1 = MEM
  9.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.015  9640         +Freq = 1004 MHz; Level = 0 dBm
  9.016  MATH         Span2Unc = ACCV(Model, Mode, 1004E+6) / Conf
  9.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.018  IEEE2        MKF?[I]
  9.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+6
  9.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
  9.021  ACC          10.000MHz      L1U
  9.022  MEMCX        10.000MHz      5%

 10.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 100 MHz Span
 10.002  TSET         TDESC = 100 MHz
 10.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
 10.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.004  9640         +Freq = 1000 MHz; Level = 0 dBm
 10.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.006  IEEE2        MKTRACK ON;SP 100MHZ
 10.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.008  IEEE2        MKTRACK OFF
 10.009  TARGET       -m
 10.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.010  9640         +Freq = 960 MHz; Level = 0 dBm
 10.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.012  MATH         Span1Unc = ACCV(Model, Mode, 960E+6) / Conf
 10.013  IEEE2        MKF?[I]
 10.014  MATH         Span1 = MEM
 10.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.015  9640         +Freq = 1040 MHz; Level = 0 dBm
 10.016  MATH         Span2Unc = ACCV(Model, Mode, 1040E+6) / Conf
 10.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.018  IEEE2        MKF?[I]
 10.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+6
 10.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
 10.021  ACC          100.00MHz      L1U
 10.022  MEMCX        100.00MHz      5%

 11.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 1.8 GHz Span
 11.002  TSET         TDESC = 1.8 GHz
 11.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 1.8GHZ;RL 0DB;AT 10DB
 11.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 11.004  9640         +Freq = 1000 MHz; Level = 0 dBm
 11.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 11.006  TARGET       -m
 11.007  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 11.007  9640         +Freq = 280 MHz; Level = 0 dBm
 11.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 11.009  MATH         Span1Unc = ACCV(Model, Mode, 280E+6) / Conf
 11.010  IEEE2        MKF?[I]
 11.011  MATH         Span1 = MEM
 11.012  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 11.012  9640         +Freq = 1720 MHz; Level = 0 dBm
 11.013  MATH         Span2Unc = ACCV(Model, Mode, 1720E+6) / Conf
 11.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 11.015  IEEE2        MKF?[I]
 11.016  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+9
 11.017  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+9
 11.018  ACC          1.800GHz       L1U
 11.019  MEMCX        1.800GHz       5%

 12.001  9640         Reset
 12.002  IEEE2        *RST
 12.003  END

 12.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) RBW Accuracy VER /9640 =================

 13.001  LABEL        RBW_ACCURACY

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 13.002  RSLT         =
 13.003  HEAD         {RESOLUTION BANDWIDTH ACCURACY}
 13.004  TARGET       -p
 13.005  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 13.005  9640         +Freq = 100 MHz; Level = -10 dBm
 13.006  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 10MHZ;RB 3MHZ;LG 1DB
# UUT takes two sweeps and sets the marker to the high peak.
 13.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 13.008  IEEE2        MKA?[I]
 13.009  MATH         RefLvl = -10

 13.010  WHILE        (MEM <= -10.05) || (MEM >= -9.95)
 13.011  HEAD         Setting stimulus output level, Please Wait...
 13.012  MATH         RefLvl = -10 + (RefLvl - MEM)
 13.013  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 13.013  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 13.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 13.015  IEEE2        MKA?[I]
 13.016  ENDW

 13.017  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 1 MHz
 13.018  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 13.018  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 13.019  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 5MHZ;RB 1MHZ;LG 1DB
 13.020  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 13.021  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 13.022  TARGET       -m
 13.023  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Execute BW measurement and query results.
 13.024  IEEE2        MEAS OBW,EXE;RES?[I$]
# Extract measured BW from returned string.
 13.025  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+6
# UUT Occ BW function used. Factory "shipment inspection" specification is
# ±3%, according to Anritsu sources, though not published.
 13.026  ACC    1     MHz            3%
 13.027  MEMCX        1.00MHz        25%

 14.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 300 kHz
 14.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 14.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 14.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 500KHZ;RB 300KHZ;LG 1DB
 14.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 14.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 14.006  TARGET       -m
 14.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 14.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 14.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
 14.010  ACC    300   kHz            3%
 14.011  MEMCX        300kHz         20%

 15.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 100 kHz
 15.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 15.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 15.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 200KHZ;RB 100KHZ;LG 1DB
 15.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 15.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 15.006  TARGET       -m
 15.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 15.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 15.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
 15.010  ACC    100   kHz            3%
 15.011  MEMCX        100kHz         20%

 16.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 30 kHz
 16.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 16.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 16.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 50KHZ;RB 30KHZ;LG 1DB
 16.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 16.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 16.006  TARGET       -m
 16.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 16.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 16.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
 16.010  ACC    30    kHz            3%
 16.011  MEMCX        30.0kHz        20%

 17.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 10 kHz
 17.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 17.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 17.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 20KHZ;RB 10KHZ;LG 1DB
 17.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 17.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 17.006  TARGET       -m
 17.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 17.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 17.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
 17.010  ACC    10    kHz            3%
 17.011  MEMCX        10.0kHz        20%

 18.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 3 kHz
 18.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 18.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 18.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 5KHZ;RB 3KHZ;LG 1DB
 18.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 18.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 18.006  TARGET       -m
 18.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 18.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 18.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
 18.010  ACC    3     kHz            3%
 18.011  MEMCX        3.00kHz        20%

 19.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 1 kHz
 19.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 19.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 19.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 2KHZ;RB 1KHZ;LG 1DB
 19.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 19.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 19.006  TARGET       -m
 19.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 19.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 19.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
 19.010  ACC    1     kHz            3%
 19.011  MEMCX        1.00kHz        20%

 20.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 300 Hz
 20.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 20.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 20.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 500HZ;RB 300HZ;LG 1DB
 20.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 20.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 20.006  TARGET       -m
 20.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 20.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 20.009  MATH         MEM = FLD(MEM2, 1, ",")
 20.010  ACC    300   Hz             3%
 20.011  MEMCX        300Hz          20%

 21.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 100 Hz
 21.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 21.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 21.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 200HZ;RB 100HZ;LG 1DB
 21.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 21.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 21.006  TARGET       -m
 21.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 21.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 21.009  MATH         MEM = FLD(MEM2, 1, ",")
 21.010  ACC    100   Hz             3%
 21.011  MEMCX        100Hz          20%

 22.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 30 Hz
 22.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 22.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 22.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 100HZ;RB 30HZ;LG 1DB
 22.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 22.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 22.006  TARGET       -m
 22.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 22.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 22.009  MATH         MEM = FLD(MEM2, 1, ",")
 22.010  ACC    30    Hz             3%
 22.011  MEMCX        30Hz           20%

 23.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 10 Hz
 23.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 23.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 23.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 100HZ;RB 10HZ;LG 1DB
 23.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 23.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
 23.006  TARGET       -m
 23.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 23.008  IEEE2        MEAS OBW,EXE;RES?[I$]
 23.009  MATH         MEM = FLD(MEM2, 1, ",")
 23.010  ACC    10    Hz             3%
 23.011  MEMCX        10Hz           30%

 24.001  9640         Reset
 24.002  IEEE2        *RST
 24.003  END

 24.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) Sideband Noise VER /9640 ===============

 25.001  LABEL        NOISE_SIDEBAND

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 25.002  RSLT         =
 25.003  HEAD         {SIDEBAND PHASE NOISE}
# 1.012  IEEE2        IP
# CAL ALL.
# 1.013  IEEE2        [T240000]CAL 0
 25.004  TARGET       -p
 25.005  9640         RefFreqOutp = 10 MHz; OutpImp = 50 Ohms
 25.005  9640         +Freq = 1000 MHz; Level = 0 dBm
# Setup UUT.
 25.006  IEEE2        IP;SNGLS;CF 1.00003GHZ;SP 75KHZ;RL 0DBM;AT 10DB
 25.007  IEEE2        RB 1KHZ;VB 10HZ;DET SMP
 25.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 25.009  IEEE2        MKRL
 25.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Set marker zone width to Spot, delta marker on, 30 kHz offset.
 25.011  IEEE2        MKW 1;MKD;MKZF 30KHZ
# Turn noise measure on, select carrier ratio function.
 25.012  IEEE2        MEAS NOISE,ON;MNOISE CN
 25.013  TARGET       -m
 25.014  CALL         Sub Anritsu MS266x() Take Sweep Only
 25.015  IEEE2        RES?[I]
 25.016  MEMCX        -100.00dBc     -30.00U

 26.001  9640         Reset
 26.002  IEEE2        *RST
 26.003  END

 26.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Frequency Measure VER /9640 ============

 27.001  LABEL        FREQ_MEASUREMENT

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 27.002  RSLT         =
 27.003  HEAD         {FREQUENCY MEASUREMENT ACCURACY} (5 kHz Span)
#38.004  IEEE2        IP
#38.005  IEEE2        [T45000]CAL 1
 27.004  TSET         TDESC = 1 Hz Resolution
 27.005  TARGET       -p
 27.006  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 27.006  9640         +Freq = 500 MHz; Level = -10 dBm
 27.007  IEEE2        IP;SNGLS;CF 500MHZ;SP 5KHZ
 27.008  MATH         Model = "Fluke 9640A"; Mode = "Freq Sine"
 27.009  MATH         FreqAcc = ACCV(Model, Mode, 500E+6)
 27.010  MATH         L[1] = FreqAcc / 1E+6
 27.011  IEEE2        MEAS FREQ,ON;MKFCR 1HZ
 27.012  TARGET       -m
 27.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 27.014  IEEE2        RES?[I]
 27.015  MATH         MEM = MEM / 1E+6
 27.016  ACC          500.0000000MHz L1U
 27.017  MEMCX        500.0000000MHz 0.0000010U

 28.001  TSET         TDESC = 10 Hz Resolution
 28.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 28.002  9640         +Freq = 500 MHz; Level = -10 dBm
 28.003  IEEE2        IP;SNGLS;CF 500MHZ;SP 5KHZ
 28.004  IEEE2        MEAS FREQ,ON;MKFCR 10HZ
 28.005  TARGET       -m
 28.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 28.007  IEEE2        RES?[I]
 28.008  MATH         MEM = MEM / 1E+6
 28.009  ACC          500.000000MHz  L1U
 28.010  MEMCX        500.000000MHz  0.000010U

 29.001  TSET         TDESC = 100 Hz Resolution
 29.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 29.002  9640         +Freq = 500 MHz; Level = -10 dBm
 29.003  IEEE2        IP;SNGLS;CF 500MHZ;SP 5KHZ
 29.004  IEEE2        MEAS FREQ,ON;MKFCR 100HZ
 29.005  TARGET       -m
 29.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 29.007  IEEE2        RES?[I]
 29.008  MATH         MEM = MEM / 1E+6
 29.009  ACC          500.00000MHz   L1U
 29.010  MEMCX        500.00000MHz   0.00010U

 30.001  TSET         TDESC = 1 kHz Resolution
 30.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 30.002  9640         +Freq = 500 MHz; Level = -10 dBm
 30.003  IEEE2        IP;SNGLS;CF 500MHZ;SP 50KHZ
 30.004  IEEE2        MEAS FREQ,ON;MKFCR 1KHZ
 30.005  TARGET       -m
 30.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 30.007  IEEE2        RES?[I]
 30.008  MATH         MEM = MEM / 1E+6
 30.009  ACC          500.0000MHz    L1U
 30.010  MEMCX        500.0000MHz    0.0010U

 31.001  9640         Reset
 31.002  IEEE2        *RST
 31.003  END

 31.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) Scale Linearity VER /9640 ==============

 32.001  LABEL        SCALE_FIDELITY

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 32.002  RSLT         =
 32.003  HEAD         {AMPLITUDE DISPLAY LINEARITY}
# 3.004  IEEE2        IP
# CAL ALL.
# 3.005  IEEE2        [T240000]CAL 0
 32.004  TARGET       -p
 32.005  9640         +Level = 0 dBm; Freq = 100 MHz; OutpImp = 50 Ohms
 32.006  IEEE2        IP;SNGLS
 32.006  IEEE2        CF 100MHZ;SP 10KHZ;RL 0DBM;AT 10DB;RB 3KHZ;VB 300HZ
 32.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 32.008  IEEE2        MKA?[I]
# Initial 9640A amplitude setting.
 32.009  MATH         RefLvl = 0

 32.010  WHILE        (MEM <= -0.05) || (MEM >= 0.05)
 32.011  HEAD         Setting stimulus output level, Please Wait...
 32.012  MATH         RefLvl = RefLvl - MEM
 32.013  9640         +Level = [V RefLvl] dBm; Freq = 100 MHz
 32.013  9640         OutputImp = 50 Ohms
 32.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 32.015  IEEE2        MKA?[I]
 32.016  ENDW

 32.017  HEAD         AMPLITUDE DISPLAY LINEARITY: -5 dB
 32.018  MATH         Model = "Fluke 9640A"; Mode = "Atten dB 50 Abs"
# 9640A specification at relative attenuation reference level.
 32.019  MATH         RefAcc = ACCV2(Model, Mode, RefLvl, 50E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 32.020  MATH         RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(Model)
 32.021  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 32.022  IEEE2        MKD
 32.023  MATH         TestLvl = RefLvl - 5
 32.024  9640         Freq = 100 MHz; OutputImp = 50 Ohms
 32.024  9640         +Level = [V TestLvl] dBm
# Normalized 9640A uncertainty at relative attenuation test level.
 32.025  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 32.026  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
# Linearized, normalized UUT specification for Marker Readout Resolution.
 32.027  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
# Combined, expanded linear uncertainty.
 32.028  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
# Convert computed expanded linear uncertainty back to -dB (larger value).
 32.029  MATH         L[1] = PCTTODBW_D(TotalUnc)
 32.030  ACC          -5.00dB        L1U
 32.031  TARGET       -m
 32.032  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 32.033  IEEE2        MKA?[I]
 32.034  MEMCX  80    -5.00dB        0.50U

 33.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -10 dB
 33.002  MATH         TestLvl = RefLvl - 10
 33.003  9640         OutputImp = 50 Ohms
 33.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 33.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 33.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 33.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 33.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 33.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 33.009  ACC          -10.00dB       L1U
 33.010  TARGET       -m
 33.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 33.012  IEEE2        MKA?[I]
 33.013  MEMCX  80    -10.00dB       0.50U

 34.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -15 dB
 34.002  MATH         TestLvl = RefLvl - 15
 34.003  9640         OutputImp = 50 Ohms
 34.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 34.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 34.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 34.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 34.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 34.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 34.009  ACC          -15.00dB       L1U
 34.010  TARGET       -m
 34.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 34.012  IEEE2        MKA?[I]
 34.013  MEMCX  80    -15.00dB       0.50U

 35.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -20 dB
 35.002  MATH         TestLvl = RefLvl - 20
 35.003  9640         OutputImp = 50 Ohms
 35.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 35.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 35.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 35.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 35.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 35.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 35.009  ACC          -20.00dB       L1U
 35.010  TARGET       -m
 35.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 35.012  IEEE2        MKA?[I]
 35.013  MEMCX  80    -20.00dB       0.50U

 36.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -25 dB
 36.002  MATH         TestLvl = RefLvl - 25
 36.003  9640         OutputImp = 50 Ohms
 36.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 36.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 36.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 36.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 36.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 36.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 36.009  ACC          -25.00dB       L1U
 36.010  TARGET       -m
 36.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 36.012  IEEE2        MKA?[I]
 36.013  MEMCX  80    -25.00dB       1.00U

 37.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -30 dB
 37.002  MATH         TestLvl = RefLvl - 30
 37.003  9640         OutputImp = 50 Ohms
 37.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 37.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 37.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 37.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 37.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 37.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 37.009  ACC          -30.00dB       L1U
 37.010  TARGET       -m
 37.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 37.012  IEEE2        MKA?[I]
 37.013  MEMCX  80    -30.00dB       1.00U

 38.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -35 dB
 38.002  MATH         TestLvl = RefLvl - 35
 38.003  9640         OutputImp = 50 Ohms
 38.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 38.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 38.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 38.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 38.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 38.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 38.009  ACC          -35.00dB       L1U
 38.010  TARGET       -m
 38.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 38.012  IEEE2        MKA?[I]
 38.013  MEMCX  80    -35.00dB       1.00U

 39.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -40 dB
 39.002  MATH         TestLvl = RefLvl - 40
 39.003  9640         OutputImp = 50 Ohms
 39.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 39.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 39.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 39.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 39.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 39.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 39.009  ACC          -40.00dB       L1U
 39.010  TARGET       -m
 39.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 39.012  IEEE2        MKA?[I]
 39.013  MEMCX  80    -40.00dB       1.00U

 40.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -45 dB
 40.002  MATH         TestLvl = RefLvl - 45
 40.003  9640         OutputImp = 50 Ohms
 40.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 40.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 40.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 40.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 40.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 40.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 40.009  ACC          -45.00dB       L1U
 40.010  TARGET       -m
 40.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 40.012  IEEE2        MKA?[I]
 40.013  MEMCX  80    -45.00dB       1.00U

 41.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -50 dB
 41.002  MATH         TestLvl = RefLvl - 50
 41.003  9640         OutputImp = 50 Ohms
 41.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 41.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 41.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 41.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 41.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 41.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 41.009  ACC          -50.00dB       L1U
 41.010  TARGET       -m
 41.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 41.012  IEEE2        MKA?[I]
 41.013  MEMCX  80    -50.00dB       1.00U

 42.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -55 dB
 42.002  MATH         TestLvl = RefLvl - 55
 42.003  9640         OutputImp = 50 Ohms
 42.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 42.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 42.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 42.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 42.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 42.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 42.009  ACC          -55.00dB       L1U
 42.010  TARGET       -m
 42.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 42.012  IEEE2        MKA?[I]
 42.013  MEMCX  80    -55.00dB       1.00U

 43.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -60 dB
 43.002  MATH         TestLvl = RefLvl - 60
 43.003  9640         OutputImp = 50 Ohms
 43.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 43.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 43.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 43.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 43.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 43.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 43.009  ACC          -60.00dB       L1U
 43.010  TARGET       -m
 43.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 43.012  IEEE2        MKA?[I]
 43.013  MEMCX  80    -60.00dB       1.00U

 44.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -65 dB
 44.002  MATH         TestLvl = RefLvl - 65
 44.003  9640         OutputImp = 50 Ohms
 44.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 44.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 44.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 44.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 44.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 44.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 44.009  ACC          -65.00dB       L1U
 44.010  TARGET       -m
 44.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 44.012  IEEE2        MKA?[I]
 44.013  MEMCX  80    -65.00dB       1.00U

 45.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -70 dB
 45.002  MATH         TestLvl = RefLvl - 70
 45.003  9640         OutputImp = 50 Ohms
 45.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 45.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 45.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 45.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 45.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 45.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 45.009  ACC          -70.00dB       L1U
 45.010  TARGET       -m
 45.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 45.012  IEEE2        MKA?[I]
 45.013  MEMCX  80    -70.00dB       1.00U

 46.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -75 dB
 46.002  MATH         TestLvl = RefLvl - 75
 46.003  9640         OutputImp = 50 Ohms
 46.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 46.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 46.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 46.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 46.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 46.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 46.009  ACC          -75.00dB       L1U
 46.010  TARGET       -m
 46.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 46.012  IEEE2        MKA?[I]
 46.013  MEMCX  80    -75.00dB       1.50U

 47.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -80 dB
 47.002  MATH         TestLvl = RefLvl - 80
 47.003  9640         OutputImp = 50 Ohms
 47.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 47.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 47.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 47.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 47.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 47.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 47.009  ACC          -80.00dB       L1U
 47.010  TARGET       -m
 47.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 47.012  IEEE2        MKA?[I]
 47.013  MEMCX  80    -80.00dB       1.50U

 48.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -85 dB
 48.002  MATH         TestLvl = RefLvl - 85
 48.003  9640         OutputImp = 50 Ohms
 48.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 48.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 48.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 48.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 48.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 48.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 48.009  ACC          -85.00dB       L1U
 48.010  TARGET       -m
 48.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 48.012  IEEE2        MKA?[I]
 48.013  MEMCX  80    -85.00dB       1.50U

 49.001  9640         Reset
 49.002  IEEE2        *RST
 49.003  END
