﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Freq Response VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Harmonic Dist VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Input Switching VER /9640
INSTRUMENT:            Sub Anritsu MS2661N (1 yr) Sweep Time VER /9640
DATE:                  2007-06-06
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       510
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2661C
#
#  Compatibility:
#        MET/CAL 7.20d or later
#
#  Subprocedures:
#        Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
#        Sub Anritsu MS266x() Take Sweep (MKPK)
#        Sub Anritsu MS266x() Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         FREQ_RESPONSE                PSUBI("Response")
  1.002  JMPL         HARMONIC_DIST                PSUBI("Harmonic Dist")
  1.003  JMPL         INPUT_SWITCHING              PSUBI("Input Switching")
  1.004  JMPL         SWEEP_TIME                   PSUBI("Sweep Time")
  1.005  DISP         {Called subprocedure not found!}
  1.006  END

# ====== Sub Anritsu MS2661N (1 yr) Freq Response VER /9640 ================

  1.007  LABEL        FREQ_RESPONSE

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  1.008  RSLT         =
  1.009  HEAD         {FREQUENCY RESPONSE}
#43.004  IEEE2        IP
# CAL ALL.
#43.005  IEEE2        [T240000]CAL 0
  1.010  TARGET       -p
  1.011  TSET         TDESC = 100 MHz to 3 GHz
  1.012  TSET         NTHROW = 0; NMEAS = 1

  1.013  HEAD         FREQUENCY RESPONSE TEST
  1.014  9640         +Level = -10 dBm; Freq = 100 MHz; OutputImp = 50 Ohms
  1.015  IEEE2        IP;SNGLS;CF 100MHZ;SP 10MHZ;RL -10DB;LG 1DB
  1.016  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.017  IEEE2        MKTRACK ON;SP 200KHZ
  1.018  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
# Take a current reading of UUT marker amplitude.
  1.019  IEEE2        MKA?[I]
# Set initial 9640A output level.
  1.020  MATH         @RefLvl = -10

  1.021  WHILE        (MEM <= -10.05) || (MEM >= -9.95)
  1.022  MATH         @RefLvl = -10 + (@RefLvl - MEM)
  1.023  9640         OutputImp = 50 Ohms
  1.023  9640         +Level = [V @RefLvl] dBm; Freq = 100 MHz
  1.024  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.025  IEEE2        MKA?[I]
  1.026  ENDW

  1.027  HEAD         FREQUENCY RESPONSE TEST: 200 MHz
  1.028  IEEE2        MKD
  1.029  TARGET       -m
  1.030  MATH         @TestFreq = 200E+6
# Intialize variables.
  1.031  MATH         @PosPeak = 0; @NegPeak = 0
  1.032  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

  1.033  HEAD         FREQUENCY RESPONSE TEST: 500 MHz
  1.034  MATH         @TestFreq = 500E+6
  1.035  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

  1.036  HEAD         FREQUENCY RESPONSE TEST: 1 GHz
  1.037  MATH         @TestFreq = 1E+9
  1.038  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

  1.039  HEAD         FREQUENCY RESPONSE TEST: 1.5 GHz
  1.040  MATH         @TestFreq = 1.5E+9
  1.041  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

  1.042  ACC          0.00dB         0.30U
  1.043  MATH         MEM = @PosPeak - @NegPeak
  1.044  MEMCX        0.00dB         1.50U

  2.001  9640         Reset
  2.002  IEEE2        *RST
  2.003  END

  2.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) Harmonic Dist VER /9640 ================

  3.001  LABEL        HARMONIC_DIST

  3.002  RSLT         =
  3.003  HEAD         {SECOND HARMONIC DISTORTION}
#34.004  IEEE2        IP
# CAL ALL.
#34.005  IEEE2        [T240000]CAL 0
  3.004  TARGET       -p
  3.005  HEAD         SECOND HARMONIC DISTORTION: 10 MHz fundamental
  3.006  TSET         TDESC = 10 MHz fundamental
  3.007  TSET         NTHROW = 0; NMEAS = 1
  3.008  9640         +Freq = 10 MHz; Level = -40 dBm; OutputImp = 50 Ohms
  3.009  IEEE2        IP;SNGLS;CF 10MHZ;RL -40DBM;AT 0DB
  3.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.011  IEEE2        MKTRACK ON;SP 10KHZ
  3.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.013  IEEE2        MKTRACK OFF
# Take a current reading of UUT marker amplitude.
  3.014  IEEE2        MKA?[I]
  3.015  MATH         RefLvl = -40

  3.016  WHILE        (MEM <= -40.05) && (MEM >= -39.95)
  3.017  HEAD         Setting stimulus output level, Please Wait...
  3.018  MATH         RefLvl = -40 + (RefLvl - MEM)
  3.019  9640         +Level = [V RefLvl] dBm; Freq = 100 MHz
  3.019  9640         OutputImp = 50 Ohms
  3.020  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.021  IEEE2        MKA?[I]
  3.022  ENDW

  3.023  HEAD         SECOND HARMONIC DISTORTION: 10 MHz fundamental
# Set marker amplitude to reference level.
  3.024  IEEE2        MKRL
  3.025  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
# Query UUT for marker frequency.
  3.026  IEEE         MKF?[I]
# Store frequency of 2nd harmonic for subsequent use.
  3.027  MATH         HarmTwo = (2 * MEM) / 1E+6
# Turn on delta marker.
  3.028  IEEE2        MKD
  3.029  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Set UUT center frequency to 2nd harmonic of measured fundamental.
  3.030  IEEE2        CF [V HarmTwo]MHZ
# Divide 2nd harmonic by two because the UUT delta marker is used.
  3.031  MATH         @MarkerFreq = (HarmTwo / 2) * 1E+6
  3.032  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
# Measure amplitude at fundamental 2nd harmonic frequency.
  3.033  IEEE2        MKA?[I]

# If measured value is >= -80 dBc, reset reference level and RF attenuation.
  3.034  IF           MEM >= -80
  3.035  IEEE2        RL -60DBM;AT 0DB
  3.036  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
  3.037  IEEE2        MKA?[I]
  3.038  ENDIF

  3.039  ACC          dBc            0.05U
  3.040  MEMCX        -60.0dBc       -70.0U

  4.001  HEAD         SECOND HARMONIC DISTORTION: 900 MHz fundamental

  4.002  DISP         Make the following connections:
  4.002  DISP
  4.002  DISP         [32] Fluke 9640A         to                UUT
  4.002  DISP         [32]  RF OUTPUT ---> LP Filter >---> RF INPUT 50 Ohms
  4.002  DISP
  4.002  DISP         Connect the 9640A-50 Leveling Head to the UUT
  4.002  DISP         RF INPUT 50 Ohms via a 1 GHz Low-Pass Filter.

  4.003  TSET         TDESC = 900 MHz fundamental
  4.004  TSET         NTHROW = 0; NMEAS = 1
  4.005  9640         +Level = -40 dBm; Freq = 900 MHz; OutputImp = 50 Ohms
  4.006  IEEE2        IP;SNGLS;CF 900MHZ;RL -40DBM;AT 0DB
  4.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  4.008  IEEE2        MKTRACK ON;SP 10KHZ
  4.009  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  4.010  IEEE2        MKTRACK OFF
  4.011  IEEE2        MKA?[I]
  4.012  MATH         RefLvl = -40

  4.013  WHILE        (MEM <= -40.05) || (MEM >= -39.95)
  4.014  HEAD         Setting stimulus output level, Please Wait...
  4.015  MATH         RefLvl = -40 + (RefLvl - MEM)
  4.016  9640         +Level = [V RefLvl] dBm; Freq = 900 MHz
  4.016  9640         OutputImp = 50 Ohms
  4.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  4.018  IEEE2        MKA?[I]
  4.019  ENDW

  4.020  HEAD         SECOND HARMONIC DISTORTION: 900 MHz fundamental
  4.021  IEEE2        MKRL
  4.022  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
  4.023  IEEE         MKF?[I]
  4.024  MATH         HarmTwo = (2 * MEM) / 1E+9
  4.025  IEEE2        MKD
  4.026  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  4.027  IEEE2        CF [V HarmTwo]GHZ
  4.028  MATH         @MarkerFreq = (HarmTwo / 2) * 1E+9
  4.029  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
  4.030  IEEE2        MKA?[I]

  4.031  IF           MEM >= -80
  4.032  IEEE2        RL -50DBM;AT 0DB
  4.033  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
  4.034  IEEE2        MKA?[I]
  4.035  ENDIF

  4.036  ACC          dBc            0.5U
  4.037  MEMCX        -60.0dBc       -70.0U

  5.001  9640         Reset
  5.002  IEEE2        *RST
  5.003  END

  5.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) Input Switching VER /9640 ==============

  6.001  LABEL        INPUT_SWITCHING

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  6.002  RSLT         =
  6.003  HEAD         {INPUT ATTENUATOR SWITCHING ERROR}
  6.004  RSLT         =(Relative to 10 dB RF Attenuation)
#37.005  IEEE2        IP
# CAL ALL.
#37.006  IEEE2        [T240000]CAL 0
  6.005  TARGET       -p
  6.006  IEEE2        IP;SNGLS;CF 100MHZ;SP 10MHZ;RL -60DBM;AT 10DB
  6.007  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.007  9640         +Freq = 100 MHz; Level = -60 dBm
  6.008  MATH         Model = "Fluke 9640A"; Mode = "Atten dB 50 Abs"
# 9640A specification at relative attenuation reference level.
  6.009  MATH         RefAcc = ACCV2(Model, Mode, -60, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
  6.010  MATH         RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(Model)
  6.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.012  IEEE2        MKTRACK ON;SP 200KHZ
  6.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.014  IEEE2        MKTRACK OFF
# Read displayed UUT marker amplitude.
  6.015  IEEE2        MKA?[I]
# Store error at 10 dB of RF attenuation (UUT specification reference).
  6.016  MATH         RefLvlError = MEM - (-60)

  6.017  HEAD         INPUT ATTENUATOR SWITCHING ERROR: 0 dB
  6.018  TSET         TDESC = 0 dB
  6.019  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.019  9640         +Freq = 100 MHz; Level = -70 dBm
# Normalized 9640A uncertainty at relative attenuation test level.
  6.020  MATH         TestAcc = ACCV2(Model, Mode, -70, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
  6.021  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
# Linearized, normalized UUT specification for Marker Readout Resolution.
  6.022  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
# Combined, expanded linear uncertainty.
  6.023  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
# Convert computed expanded linear uncertainty back to -dB (larger value).
  6.024  MATH         L[1] = PCTTODBW_D(TotalUnc)
  6.025  ACC          0.00dB         L1U
  6.026  IEEE2        RL -70DBM
  6.027  TARGET       -m
  6.028  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.029  IEEE2        MKA?[I]
  6.030  MATH         MEM = (MEM - RefLvlError) + 70
  6.031  MEMCX  50    0.00dB         2.00U

  7.001  HEAD         INPUT ATTENUATOR SWITCHING ERROR: 20 dB
  7.002  TSET         TDESC = 20 dB
  7.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.003  9640         +Freq = 100 MHz; Level = -50 dBm
  7.004  MATH         TestAcc = ACCV2(Model, Mode, -50, 100E+6)
  7.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
  7.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
  7.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
  7.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
  7.009  ACC          20.00dB        L1U
  7.010  IEEE2        RL -50DBM
  7.011  TARGET       -m
  7.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.013  IEEE2        MKA?[I]
  7.014  MATH         MEM = (MEM - RefLvlError) + 70
  7.015  MEMCX  50    20.00dB        2.00U

  8.001  HEAD         INPUT ATTENUATOR SWITCHING ERROR: 30 dB
  8.002  TSET         TDESC = 30 dB
  8.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.003  9640         +Freq = 100 MHz; Level = -40 dBm
  8.004  MATH         TestAcc = ACCV2(Model, Mode, -40, 100E+6)
  8.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
  8.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
  8.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
  8.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
  8.009  ACC          30.00dB        L1U
  8.010  IEEE2        RL -40DBM
  8.011  TARGET       -m
  8.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.013  IEEE2        MKA?[I]
  8.014  MATH         MEM = (MEM - RefLvlError) + 70
  8.015  MEMCX  50    30.00dB        2.00U

  9.001  HEAD         INPUT ATTENUATOR SWITCHING ERROR: 40 dB
  9.002  TSET         TDESC = 40 dB
  9.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.003  9640         +Freq = 100 MHz; Level = -30 dBm
  9.004  MATH         TestAcc = ACCV2(Model, Mode, -30, 100E+6)
  9.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
  9.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
  9.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
  9.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
  9.009  ACC          40.00dB        L1U
  9.010  IEEE2        RL -30DBM
  9.011  TARGET       -m
  9.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.013  IEEE2        MKA?[I]
  9.014  MATH         MEM = (MEM - RefLvlError) + 70
  9.015  MEMCX  50    40.00dB        2.00U

 10.001  HEAD         INPUT ATTENUATOR SWITCHING ERROR: 50 dB
 10.002  TSET         TDESC = 50 dB
 10.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.003  9640         +Freq = 100 MHz; Level = -20 dBm
 10.004  MATH         TestAcc = ACCV2(Model, Mode, -20, 100E+6)
 10.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 10.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 10.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 10.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 10.009  ACC          50.00dB        L1U
 10.010  IEEE2        RL -20DBM
 10.011  TARGET       -m
 10.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.013  IEEE2        MKA?[I]
 10.014  MATH         MEM = (MEM - RefLvlError) + 70
 10.015  MEMCX  50    50.00dB        2.00U

 11.001  HEAD         INPUT ATTENUATOR SWITCHING ERROR: 60 dB
 11.002  TSET         TDESC = 60 dB
 11.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 11.003  9640         +Freq = 100 MHz; Level = -10 dBm
 11.004  MATH         TestAcc = ACCV2(Model, Mode, -10, 100E+6)
 11.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 11.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 11.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 11.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 11.009  ACC          60.00dB        L1U
 11.010  IEEE2        RL -10DBM
 11.011  TARGET       -m
 11.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 11.013  IEEE2        MKA?[I]
 11.014  MATH         MEM = (MEM - RefLvlError) + 70
 11.015  MEMCX  50    60.00dB        2.00U

 12.001  9640         Reset
 12.002  IEEE2        *RST
 12.003  END


 12.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661N (1 yr) Sweep Time VER /9640 ===================

 13.001  LABEL        SWEEP_TIME

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 13.002  RSLT         =
 13.003  HEAD         {SWEEP TIME AND TIME SPAN ACCURACY}
 13.004  RSLT         =
 13.005  RSLT         =Sweep Time
#43.006  IEEE2        IP
# CAL ALL.
#43.007  IEEE2        [T240000]CAL 0
 13.006  TSET         NTHROW = 0; NMEAS = 1
 13.007  TARGET       -p
 13.008  HEAD         SWEEP TIME ACCURACY: 50 msec
 13.009  ASK-         N
 13.010  IEEE2        IP;CF 100MHZ;SP 50KHZ;ST 50MS;RB 1MHZ;VB 1MHZ
 13.011  MESS         Edit stimulus until the waveform peaks coincide with
 13.011  MESS         the UUT vertical graticule lines, adjusting the UUT
 13.011  MESS         Trigger Level as necessary.
 13.011  MESS
 13.011  MESS         (It may be necessary to first press the UUT TRIG/GATE
 13.011  MESS         button, followed by the F2 (Trigger Source), F1 (Video),
 13.011  MESS         and F1 (Trig Level), to enable the knob to adjust the
 13.011  MESS         UUT trigger level.)
 13.012  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 13.012  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 13.012  9640         +ModFreq = 200 Hz
 13.013  IEEE2        MKRL;LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 13.014  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 13.014  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 13.014  9640         +ModFreq = 200 Hz; Slew
# Retrieve (frequency) accuracy data for 9640A.
 13.015  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", MEM)
 13.016  MATH         L[1] = (1 - ((MEM - L[1]) / MEM)) * 100
# Multiply period by ten as sweep length is ten divisions.
 13.017  MATH         MEM = ((1 / MEM) * 10) / 1E-3
 13.018  ACC          50.0ms         L1%
 13.019  MEMCX        50.0ms         15%

 14.001  HEAD         SWEEP TIME ACCURACY: 200 msec
 14.002  TSET         NTHROW = 0; NMEAS = 1
 14.003  IEEE2        IP;CF 100MHZ;SP 50KHZ;ST 200MS;RB 1MHZ;VB 1MHZ
 14.004  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 14.004  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 14.004  9640         +ModFreq = 50 Hz
 14.005  IEEE2        MKRL;LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 14.006  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 14.006  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 14.006  9640         +ModFreq = 50 Hz; Slew
 14.007  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", MEM)
 14.008  MATH         L[1] = (1 - ((MEM - L[1]) / MEM)) * 100
 14.009  MATH         MEM = ((1 / MEM) * 10) / 1E-3
 14.010  ACC          200ms          L1%
 14.011  MEMCX        200ms          15%

 15.001  MESS

 15.002  RSLT         =
 15.003  RSLT         =Time Span
 15.004  HEAD         TIME SPAN ACCURACY: 20 msec
 15.005  TSET         NTHROW = 0; NMEAS = 1
 15.006  TARGET       -p
 15.007  9640         Freq = 100 MHz; Level = -16 dBm; AMDepth = 70 %
 15.007  9640         Mode = AM; +ModFreq = 500 Hz; ModWav = Triangle
 15.007  9640         OutputImp = 50 Ohms
 15.008  IEEE2        IP;CF 100MHZ;SP 0MHZ;ST 20MS;RB 1MHZ;VB 1MHZ
 15.009  IEEE2        LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 15.010  TARGET       -m

 15.011  IEEE         [GTL]
 15.012  DISP         On the UUT, press PEAK SEARCH.
 15.012  DISP
 15.012  DISP         Press the UUT NEXT PK LEFT or NEXT PK RIGHT softkey,
 15.012  DISP         as necessary, until the marker is on the left-most
 15.012  DISP         signal peak, nearest the 2nd vertical graticule line.

 15.013  IEEE2        MKD[GTL]

 15.014  DISP         On the UUT, press PEAK SEARCH.
 15.014  DISP
 15.014  DISP         Press NEXT PK RIGHT softkey, as necessary, to place
 15.014  DISP         the delta marker near the 10th vertical graticule
 15.014  DISP         line.

 15.015  IEEE2        MKF?[I]
# Retrieve ModFreq accuracy (in Hz, base units).
 15.016  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", 500)
# Convert accuracy in Hz to percent.
 15.017  MATH         L[1] = (1 - ((500 - L[1]) / 500)) * 100
# Convert returned value (in µs) to units of milliseconds over 10 divisions.
 15.018  MATH         MEM = (MEM * 1E-3) / 0.8
 15.019  ACC          20.0ms         L1%
 15.020  MEMCX        20.0ms         15%

 16.001  HEAD         TIME SPAN ACCURACY: 200 msec
 16.002  TSET         NTHROW = 0; NMEAS = 1
 16.003  9640         Freq = 100 MHz; Level = -16 dBm; AMDepth = 70 %
 16.003  9640         Mode = AM; +ModFreq = 50 Hz; ModWav = Triangle
 16.003  9640         OutputImp = 50 Ohms
 16.004  IEEE2        IP;CF 100MHZ;SP 0MHZ;ST 200MS;RB 1MHZ;VB 1MHZ
 16.005  IEEE2        LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 16.006  TARGET       -m

 16.007  IEEE         [GTL]
 16.008  DISP         On the UUT, press PEAK SEARCH.
 16.008  DISP
 16.008  DISP         Press the UUT NEXT PK LEFT or NEXT PK RIGHT softkey,
 16.008  DISP         as necessary, until the marker is on the left-most
 16.008  DISP         signal peak, nearest the 2nd vertical graticule line.

 16.009  IEEE2        MKD[GTL]

 16.010  DISP         On the UUT, press PEAK SEARCH.
 16.010  DISP
 16.010  DISP         Press NEXT PK RIGHT softkey, as necessary, to place
 16.010  DISP         the delta marker near the 10th vertical graticule
 16.010  DISP         line.

 16.011  IEEE2        MKF?[I]
 16.012  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", 50)
 16.013  MATH         L[1] = (1 - ((50 - L[1]) / 50)) * 100
 16.014  MATH         MEM = (MEM * 1E-3) / 0.8
 16.015  ACC          200ms          L1%
 16.016  MEMCX        200ms          15%

 17.001  9640         Reset
 17.002  IEEE2        *RST
 17.003  END
