﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS266x() Take Sweep Only
INSTRUMENT:            Sub Anritsu MS266x() Take Sweep (MKF)
INSTRUMENT:            Sub Anritsu MS266x() Take Sweep (MKPK)
INSTRUMENT:            Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
DATE:                  2007-05-24
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       155
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Anritsu MS266x series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Initialize error variable.
  1.001  MATH         Error = 0
# Set number of sweeps in variable Sweeps.
  1.002  MATH         Sweeps = 2

  1.003  JMPL         SWEEP                        PSUBI("Only")
  1.004  JMPL         MKF                          PSUBI("(MKF)")
  1.005  JMPL         MKPK                         PSUBI("(MKPK)")
  1.006  JMPL         MKPK_MKCF                    PSUBI("(MKPK, MKCF)")
  1.007  DISP         {Called subprocedure not found}!
  1.008  END

  1.009  EVAL   Increment Test Number

# ====== Sub Anritsu MS266x() Take Sweep Only ==============================
#
# This sub takes two sweeps and does not alter the marker, center frequency,
# or any other UUT settings.
#
#  Example:
# 1.001  CALL         Sub Anritsu MS266x() Take Sweep Only

  2.001  LABEL        SWEEP

  2.002  WHILE        Sweeps > 0
  2.003  IEEE2        [T60000]TS
# Decrement sweep counter by one.
  2.004  MATH         Sweeps = Sweeps - 1
  2.005  ENDW

  2.006  END

  2.007  EVAL   Increment Test Number

# ====== Sub Anritsu MS266x() Take Sweep (MKF) =============================
#
# This sub takes two sweeps, placing the active marker at a frequency passed
# by the calling procedure after the second sweep.
#
#  Example:
# 1.001  MATH         @MarkerFreq = 1E+6
# 1.002  CALL         Sub Anritsu MS266x() Take Sweep (MKF)

  3.001  LABEL        MKF

  3.002  WHILE        Sweeps > 0
  3.003  IEEE2        [T60000]TS
# Decrement sweep counter by one.
  3.004  MATH         Sweeps = Sweeps - 1
  3.005  ENDW

# Set UUT marker to specified frequency in Hertz.
  3.006  IEEE2        MKN [V @MarkerFreq]HZ

  3.007  END

  3.008  EVAL   Increment Test Number

# ====== Sub Anritsu MS266x() Take Sweep (MKPK) ============================
#
# This sub takes two sweeps, placing the active marker at the highest peak
# present on the display after each sweep. Note that the active marker may
# be the "delta" marker, if previously specified in the calling procedure.
#
#  Example:
# 1.001  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)

  4.001  LABEL        MKPK

  4.002  WHILE        Sweeps > 0
  4.003  IEEE2        [T60000]TS
# Set UUT marker to (highest) peak.
  4.004  IEEE2        MKPK HI

# Decrement sweep counter by one.
  4.005  MATH         Sweeps = Sweeps - 1
  4.006  ENDW

  4.007  END

  4.008  EVAL   Increment Test Number

# ====== Sub Anritsu MS266x() Take Sweep (MKPK, MKCF) ======================
#
# This sub takes two sweeps, placing the active marker at the highest peak
# present on the display, then moving the marker to the center frequency after
# each sweep. Note that the active marker may be the "delta" marker, if
# specified previously in the calling procedure.
#
#  Example:
# 1.001  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
#
# Note that this sub does NOT turn the UUT signal tracking on; that must be
# done, if desired, explicitly. In that case, it is preferred to accomplish
# the task as follows:
#
# 1.001  IEEE         MKTRACK ON
# 1.002  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
#
# Turning signal tracking on will automatically place the marker at the UUT
# center frequency, in addition to keeping it there if the UUT local
# oscillator drifts (quite common in some of the lower end 859x models).

  5.001  LABEL        MKPK_MKCF

  5.002  WHILE        Sweeps > 0
  5.003  IEEE2        [T60000]TS
# Set UUT marker to (highest) peak; move marker to center frequency.
  5.004  IEEE2        MKPK HI;MKCF

# Decrement sweep counter by one.
  5.005  MATH         Sweeps = Sweeps - 1
  5.006  ENDW

  5.007  END
